<div class="navbar-container" [class.example-is-mobile]="mobileQuery.matches">

  <!-- Top navbar -->
  <mat-toolbar class="navbar" color="primary">

    <button mat-icon-button (click)="snav.toggle()">
      <mat-icon>menu</mat-icon>
    </button>

    <a class="navbar-brand">
      <h1>
       Control de Horario
      </h1>
    </a>

    <span class="navbar-spacer"></span>

    <mat-menu #notificationMenu="matMenu" xPosition="before" yPosition="above" [overlapTrigger]="false">

      <a mat-menu-item>
        <span>You have new tasks</span>
      </a>
      <a mat-menu-item>
        <span>You have a new message</span>
      </a>

    </mat-menu>

    

    <button mat-button [matMenuTriggerFor]="userMenu">
      <span fxShow fxHide.xs>
        {{userName}}
      </span>
      <mat-icon>person</mat-icon>
    </button> 
    <mat-menu #userMenu="matMenu" xPosition="before" yPosition="above" [overlapTrigger]="false">


      <a mat-menu-item [routerLink]="['/auth/login']" (click)="ExitSession();">
        <mat-icon>exit_to_app</mat-icon>
        <span>Cerrar sesión</span>
      </a>

    </mat-menu>

  </mat-toolbar>

  <mat-sidenav-container class="navbar-sidenav-container">
    <!-- Side nav -->
    <mat-sidenav #snav [opened]="!mobileQuery.matches" [mode]="mobileQuery.matches ? 'over' : 'side'"
      [fixedInViewport]="mobileQuery.matches" fixedTopGap="56" class="sidenav">

      <mat-nav-list>
        <h3 mat-subheader class="menutitle">Administración</h3>

        <a mat-list-item [routerLink]="['/customers']" routerLinkActive="active" *ngIf="this.modules.customers.visible" class="ct">
          <mat-icon mat-list-icon class="ini"> 
            multiline_chart
          </mat-icon>
          <p mat-line>Clientes </p>
        </a>
        
        <a mat-list-item [routerLink]="['/service']" routerLinkActive="active" *ngIf="this.modules.service.visible">
          <mat-icon mat-list-icon class="ini">
            settings_phone
          </mat-icon>
          <p mat-line>Servicios </p>
        </a>
        <mat-divider></mat-divider>
        <h3 mat-subheader class="menutitle">Configuración</h3>

        <a mat-list-item [routerLink]="['/holydays']" routerLinkActive="active" *ngIf="this.modules.holydays.visible">
          <mat-icon mat-list-icon class="ini">
            pending_actions
          </mat-icon>
          <p mat-line>Festivos</p>
        </a> 

        <a mat-list-item [routerLink]="['/countries']" routerLinkActive="active" *ngIf="this.modules.countries.visible">
          <mat-icon mat-list-icon class="ini">
            public
          </mat-icon>
          <p mat-line> Países </p>
        </a>
        <a mat-list-item [routerLink]="['/holydaysByCountry']" routerLinkActive="active" *ngIf="this.modules.holydayByCountry.visible">
          <mat-icon mat-list-icon class="ini">
            event
          </mat-icon>
          <p mat-line> Festivos por País </p>
        </a>
        <a mat-list-item [routerLink]="['/user']" routerLinkActive="active" *ngIf="this.modules.user.visible">
          <mat-icon mat-list-icon class="ini">
            account_circle
          </mat-icon>
          <p mat-line> Usuarios </p>
        </a>

        <a mat-list-item [routerLink]="['/rol']" routerLinkActive="active" *ngIf="this.modules.rol.visible">
          <mat-icon mat-list-icon class="ini">
            accessibility
          </mat-icon>
          <p mat-line>Roles </p>
        </a>
        <a mat-list-item [routerLink]="['/modulesByRol']" routerLinkActive="active" *ngIf="this.modules.moduleByRol.visible">
          <mat-icon mat-list-icon class="ini">
            supervisor_account
          </mat-icon>
          <p mat-line> Modulos por Rol </p>
        </a>

        <mat-divider></mat-divider>

        <h3 mat-subheader class="menutitle">Gestión</h3>
        <a mat-list-item [routerLink]="['/specialSchedule']" routerLinkActive="active" *ngIf="this.modules.specialShedule.visible">
          <mat-icon mat-list-icon class="ini">
            av_timer
          </mat-icon>
          <p mat-line> Horario Especial </p>
        </a>
        <a mat-list-item [routerLink]="['/shedule']" routerLinkActive="active" *ngIf="this.modules.shelude.visible">
          <mat-icon mat-list-icon class="ini">
            access_time
          </mat-icon>
          <p mat-line>Configuración Horario</p>
        </a>

        <mat-divider></mat-divider>

      </mat-nav-list>

    </mat-sidenav>

    <!-- Main content -->
    <mat-sidenav-content class="sidenav-content">

      <div class="progress-bar-container">
        <mat-progress-bar color="accent" mode="indeterminate" *ngIf="spinnerService.visibility | async">
        </mat-progress-bar>
     
      </div>


      <router-outlet></router-outlet>

    </mat-sidenav-content>
  </mat-sidenav-container>

</div>